Download

From MediaWiki.org
Jump to: navigation, search
This page is a translated version of the page Download and the translation is 100% complete.

Other languages:
aragonés • ‎अङ्गिका • ‎العربية • ‎جهلسری بلوچی • ‎беларуская • ‎български • ‎বাংলা • ‎brezhoneg • ‎bosanski • ‎català • ‎کوردی • ‎čeština • ‎Cymraeg • ‎dansk • ‎Deutsch • ‎Zazaki • ‎Ελληνικά • ‎English • ‎español • ‎eesti • ‎euskara • ‎فارسی • ‎suomi • ‎français • ‎galego • ‎עברית • ‎हिन्दी • ‎hrvatski • ‎magyar • ‎Հայերեն • ‎Bahasa Indonesia • ‎italiano • ‎日本語 • ‎ქართული • ‎Taqbaylit • ‎ភាសាខ្មែរ • ‎ಕನ್ನಡ • ‎한국어 • ‎한국어 (조선) • ‎Lëtzebuergesch • ‎lietuvių • ‎मैथिली • ‎Basa Banyumasan • ‎മലയാളം • ‎मराठी • ‎Bahasa Melayu • ‎Mirandés • ‎नेपाली • ‎Nederlands • ‎occitan • ‎polski • ‎پښتو • ‎português • ‎português do Brasil • ‎русский • ‎Scots • ‎سنڌي • ‎සිංහල • ‎slovenščina • ‎српски / srpski • ‎svenska • ‎தமிழ் • ‎ไทย • ‎Tagalog • ‎Türkçe • ‎татарча/tatarça • ‎ئۇيغۇرچە / Uyghurche • ‎українська • ‎Tiếng Việt • ‎吴语 • ‎粵語 • ‎中文

Última versão[edit]

MediaWiki flower
Introdução fundamental ao MediaWiki

Licença

O MediaWiki é um software livre licenciado sob a versão 2 da GNU General Public License. Devido o MediaWiki ser licenciado de forma gratuita, não há nenhuma garantia, até o limite permitido pela lei aplicável. Leia o texto completo da GNU GPL versão 2 para mais detalhes.

Requisitos de sistema

O MediaWiki requer o PHP 5.5.9+ e também o MySQLManual:MySQL 5.5.8+ ou um dos outros três armazenamentos possíveis. Para mais informações, por favor leia as páginas requisitos do sistemaManual:Installation requirements e compatibilidadecompatibility.

Outros downloads[edit]

Download pelo Git[edit]

Desenvolvedores do MediaWiki ativos devem, em vez disso, efetuar o download pelo Git para obter a versão mais recente do software MediaWiki. O repositório git tem versões anteriores do software, por isso, é possível alternar para uma versão em particular.

Notas[edit]

  • O suporte ao PHP 5 tem sido necessário desde o MediaWiki 1.7 – se estiver usando PHP 4, você deve atualizar agora! PHP 4 não é mais suportado pelo grupo PHP e tem muitos bugs e vulnerabilidades. Muitos provedores de hospedagem compartilhada oferecem tanto PHP 4 e 5, em execução simultaneamente. Se você não pode atualizar, você pode usar o MediaWiki 1.6.12 (download). Observe que esta versão não é mais suportada.
  • O suporte ao MySQL/MariaDB 5 é necessário desde o MediaWiki 1.19MediaWiki 1.19 – se você estiver usando uma versão mais antiga do MySQL e não pode atualizar, você pode usar o MediaWiki 1.18.6 (download). Observe que esta versão não é mais suportada.

Alternativas para a instalação manual[edit]

Alguns usuários podem preferir pular a instalação manual usando pacotes de software pré-integrado do MediaWiki ou serviços de hospedagem; repositórios de algumas distribuições Linux também oferecem cada vez mais pacotes para o MediaWiki, com diferentes graus de freqüência e cobertura de extensões (por exemplo: Debian, Ubuntu, Fedora, Gentoo).

O que vem depois?[edit]

Assine a nossa lista de discussão de anúncios de lançamento

Mantenha-se atualizado com os lançamentos, e mantenha seu servidor seguro!

Lançamentos legados[edit]

Se a sua instalação do MediaWiki é fortemente modificada, pode ser difícil incorporar as últimas alterações/atualizações oficiais para o MediaWiki. Para dar suporte a esses usuários, mantemos pacotes antigos do nosso código para até um ano para o lançamento legado e até três anos para o lançamento legado de suporte a longo prazo LTS.

Versões de desenvolvimento[edit]

Se você deseja executar a mais recente versão de desenvolvimento (ou seja, alfa), faça o download do Hourlies, ou faça o download do Git.

A partir do Git você pode fazer o download do repositório completo (aproximadamente 528 MB)

git clone https://gerrit.wikimedia.org/r/p/mediawiki/core.git

ou a última revisão do repositório somente (aproximadamente 85 MB; isto é frequentemente chamado de clone superficial: menos tempo e downloads menores).[1]

git clone --depth 1 https://gerrit.wikimedia.org/r/p/mediawiki/core.git

Você também pode visualizar o código fonte mais recente em seu browser.

Versões antigas[edit]

Pode encontrar tarballs (com a extensão *.tar.gz) em todas as versões do MediaWiki após Março de 2005 (o mais antigo é o MediaWiki 1.3.11) nos arquivos de download do MediaWiki.

Para navegar, incluindo as versões ainda mais antigas, consulte as tags do repositório Git.

Assistência à instalação[edit]

Referências[edit]

  1. >Isso pode causar problemas de referência quando você usar posteriormente o "git pull" para atualizar seu clone superficial bem como a revisão mais recente refere-se a versões mais antigas que ainda não foram transferidas para o seu sistema. Nesse caso você pode simplesmente baixar mais - aumentar o valor da profundidade - ou todas as revisões mais tarde, ou fazer um clone superficial totalmente novo.

Ver também[edit]